<?php

/*

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 $Id: show_domain.inc,v 1.14 2003/06/03 19:06:20 vollmerk Exp $
 $Source: /a1/cvsroot/maint/templates/show_domain.inc,v $

 Template for viewing/editing a single domain

*/

// for those who don't have a zone set
if ($conf['zone']) { $domains = $conf['zone']->domains(); }

//create the object_history 
$history = $domain->object_history->get_history();

?>

<? if ($action_type) { ?>
<p><font class="header2">
<? 
if ($action_type == "modified") { echo "Updated $domain->name with the following information"; }
elseif ($action_type == "read") { echo "Viewing Domain information for $domain->name"; } 
?>
</font>
&nbsp;&nbsp;
<? if ($user->has_access($domain->zone->id)) { ?>
<a href="domain.php?action=show_domain&domain_id=<? echo $domain->id ?>">[Edit]</a> 
<a href="domain.php?action=confirm_delete_domain&domain_id=<? echo $domain->id ?>">[Delete]</a>
<? } ?>
</p>
<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%" bgcolor="<? echo $conf['light_bgcolor']?>">
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
                <td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link('domain'); ?> Domain: </td>
                <td align="left"><? $conf['ui']->display_field($domain->name); ?>
                </td>
        </tr>
        <tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
                <td title="<? $conf['help']->display_plain_txt("domain_parent_zone"); ?>"><? $conf['help']->show_help_link('domain_parent_zone'); ?> Parent Zone(s): </td>
                <td><form style="Display:inline">
			<?
			$zones = $domain->zones();
			if (count($zones) >= "2") {
				$conf['ui']->show_zone_select($zones, $zones[0]);
				}
			elseif (count($zones) == "0") {
				echo "No Parent Zones";
				}
			elseif (count($zones) == "1") {
				$zone = new Zone($zones[0]);
				echo $zone->name;
				} 
			?>
			</form>
                </td>
        </tr>
</table>
<? show_template('bborder'); ?>
<? } else { ?>
<p><font class="header2">Editing Domain information for <?= $domain->name ?></font></p>

<? show_template('tborder'); ?>
<table border="0" cellpadding="2" cellspacing="0" width="100%">
	<tr align="left" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" width="100%">
    		<td title="<? $conf['help']->display_plain_txt("domain"); ?>"><? $conf['help']->show_help_link('domain'); ?> Domain: </td>
                <td><form enctype="multipart/form-data" method="post" action="domain.php" style="Display:inline">
                        <input type="textbox" name="name" value="<? echo $domain->name ?>" size="35" />
			<input type="hidden" name="domain_id" value="<?= $domain->id; ?>" />
			<input type="hidden" name="action" value="update_name" />
			<? if ($conf['error']->get_status('name') ) { $conf['error']->show_message('name'); } ?>
                </td>
		<td><input type="submit" value="Update Name" />
		</form>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("domain_new_zone"); ?>"><? $conf['help']->show_help_link('domain_new_zone'); ?> Add <? echo $domain->name; ?> to another Zone.</td>
		<td><form style="Display:inline" action="domain.php" method="post" enctype="multipart/form-data" >
		<input type="hidden" name="action" value="add_zone" />
		<input type="hidden" name="domain_id" value="<?= $domain->id; ?>" />
		<? //add mojo time
		$zones = $user->zones();
		$conf['ui']->show_zone_select($zones, $zones[0]);
		?></td><td>
		<input type="submit" value="Add Zone" /></form>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt("domain_remove_zone"); ?>"><? $conf['help']->show_help_link('domain_remove_zone'); ?> Remove <? echo $domain->name; ?> from a Zone.</td>
		<td><form style="Display:inline" action="<?= $conf['web_path']; ?>/domain.php" method="post" enctype="multipart/form-data">
		<input type="hidden" name="action" value="confirm_remove_zone" />
		<input type="hidden" name="domain_id" value="<?= $domain->id; ?>" />
		<? //remove mojo time
		$zones = $domain->zones();
		$conf['ui']->show_zone_select($zones,$zones[0]);
		?></td><td>
		<input type="submit" value="Remove Zone" />
		</form>
		</td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td title="<? $conf['help']->display_plain_txt('generic_comment'); ?>" valign="top" ><? $conf['help']->show_help_link('generic_comment'); ?>
			 Comment:
	                <a href="<?= $conf['web_path']; ?>/help.php?action=show_comments&amp;object_id=<?= $domain->id; ?>&amp;object_name=<?= $domain->name; ?>&amp;object_type=domain">
                        [View All Comments]    
                        </a>
                </td>
                <td>
		<form style="Display:inline" action="<?= $conf['web_path']; ?>/domain.php" method="post" enctype="multipart/form-data">
                <textarea name="comment" cols="45" rows="5"><?= $history->comment; ?></textarea>
                </td>
		<td valign="top">
		<input type="hidden" name="action" value="update_comment" />
		<input type="hidden" name="domain_id" value="<?= $domain->id; ?>" />
		<input type="submit" value="Update Comment" />
		</form>
	</tr>
        <tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
                <td title="<? $conf['help']->display_plain_txt("who_update"); ?>"><? $conf['help']->show_help_link("who_update"); ?> Last Updated By: </td>
                <td colspan="2">
                <? if ($history->username) { ?>
                        <? $conf['ui']->display_field($history->username); ?><?= " on " . date("F j, Y",$history->date) . " at " . date("g:i a",$history->date); ?>
                <? } else { ?>
                        N/A
                <? } ?>
                </td>
        </tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="left">
		<td colspan="3"><form action="<?= $conf['web_path'] ; ?>/domain.php" method="post" enctype="multipart/form-data" style="Display:inline">
		<input type="hidden" name="action" value="confirm_delete_domain" />
		<input type="hidden" name="domain_id" value="<?= $domain->id; ?>" />
		<input type="submit" value="Delete Domain" />
		</form>
		</td>
	</tr>

</table>
<? show_template('bborder'); ?>
<input type="hidden" name="domain_id" value="<? echo $domain->id ?>" />

</form>
<? } ?>
